@echo off
REM Verifica se a pasta "CONVERTED" já existe. Se não, cria a pasta.
if not exist "CONVERTED" (
    mkdir "CONVERTED"
)

REM Loop para processar todos os arquivos .asf no diretório atual
for %%f in (*.asf) do (
    setlocal enabledelayedexpansion
    
    REM Obtém o nome do arquivo sem a extensão .asf
    set filename=%%~nf
    
    REM Converte o arquivo .asf para .wav
    sx.exe -wave "%%f" -=!filename!.wav
    
    REM Move o arquivo .wav para a pasta "CONVERTED"
    move "!filename!.wav" "CONVERTED"
    
    REM Exclui o arquivo .asf original
    del "%%f"
    
    endlocal
)

echo Conversion complete! The .wav files have been moved to the "CONVERTED" and the .asf archives were excluded.
pause
